Bug 2469 - Add #ifdef HAVE_KRB5
Summary: Add #ifdef HAVE_KRB5
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: File Services (show other bugs)
Version: 3.0.11
Hardware: SGI IRIX
: P3 normal
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-16 13:51 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:27 UTC (History)
0 users

See Also:


Attachments
#ifdef HAVE_KRB5 around "got_kerberos_mechanism" (2.56 KB, patch)
2005-03-16 13:53 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-16 13:51:28 UTC
Samba 3.0.12rc1

Three files have code that set's "got_kerberos_mechanism" variable but never
uses the variable because the code is inside an #ifdef.  In the attached patch
I've added additional #ifdef's to avoid a compiler warning.  And in
smbd/sesssetup.c changed "got_kerberos" to "got_kerberos_mechanism" to be
consistent with the other two uses (unless it was intentional).
Comment 1 Jason Mader (mail bounces back) 2005-03-16 13:53:11 UTC
Created attachment 1040 [details]
#ifdef HAVE_KRB5 around "got_kerberos_mechanism"
Comment 2 Jason Mader (mail bounces back) 2005-03-16 13:55:06 UTC
Compiling smbd/sesssetup.c
cc-1552 cc: WARNING File = smbd/sesssetup.c, Line = 420
  The variable "got_kerberos" is set but never used.

        BOOL got_kerberos = False;
             ^

Compiling libsmb/cliconnect.c
cc-1552 cc: WARNING File = libsmb/cliconnect.c, Line = 705
  The variable "got_kerberos_mechanism" is set but never used.

        BOOL got_kerberos_mechanism = False;
             ^

Compiling libads/sasl.c
cc-1552 cc: WARNING File = libads/sasl.c, Line = 176
  The variable "got_kerberos_mechanism" is set but never used.

        BOOL got_kerberos_mechanism = False;
             ^
Comment 3 Gerald (Jerry) Carter 2005-03-22 08:11:11 UTC
applied.  Thanks.
Comment 4 Gerald (Jerry) Carter 2005-03-22 08:12:20 UTC
whoops.  closing now.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:27:24 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.